ActionSet (Apache FOP 2.7 API)
Date: 2022-01-12

org.apache.fop.render.intermediate.extensions

## Class ActionSet

- java.lang.Object
- - org.apache.fop.render.intermediate.extensions.ActionSet

-     public class ActionSet
      extends java.lang.Object

  This class manages actions and action references. Some action (like `GoToXYAction`s) cannot be fully resolved at the time they are needed, so they are deferred. This class helps manages the references and resolution.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ActionSet()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `clear()` Clears the set.
    `java.lang.String` | `generateNewID(AbstractAction action)` Generates a new synthetic ID for an action.
    `AbstractAction` | `get(java.lang.String id)` Returns the action with the given ID.
    `AbstractAction` | `put(AbstractAction action)` Puts an action into the set and returns the normalized instance (another one if the given one is equal to another.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ActionSet

          public ActionSet()

  - ### Method Detail

    - #### generateNewID

          public java.lang.String generateNewID(AbstractAction action)

      Generates a new synthetic ID for an action.
      Parameters:
        `action` - the action
      Returns:
        the generated ID

    - #### get

          public AbstractAction get(java.lang.String id)

      Returns the action with the given ID.
      Parameters:
        `id` - the ID
      Returns:
        the action or null if no action with this ID is stored

    - #### put

          public AbstractAction put(AbstractAction action)

      Puts an action into the set and returns the normalized instance (another one if the given one is equal to another.
      Parameters:
        `action` - the action
      Returns:
        the action instance that should be used in place of the given one

    - #### clear

          public void clear()

      Clears the set.

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.